require(['config'], function() {
	require([
		'jquery',
		'jquery.bootstrap.fileUpload', //파일 업로드가 있는 페이지에서 로딩 
		'check'
	], function($) {

	});
});

let NTICE_INFO_NTICE = '/api/ntice/info-ntice';

function itp_fn_NOTICE_INFO_POPUP(parentPopFn, args, returnType) {
	
	fn_ajax_call(NTICE_INFO_NTICE, args, function(result) {
		
		$('#ITP_FORM_NOTICE_INFO_POPUP_NTICE_NO').val(result.nticeNo);		
		$('#ITP_FORM_NOTICE_INFO_POPUP .fnNticeTitl').text(result.nticeTitl);	
		$('#ITP_FORM_NOTICE_INFO_POPUP .fnNotiDay').text(result.notiStDay+' ~ '+result.notiEdDay);	
		$('#ITP_FORM_NOTICE_INFO_POPUP .fnNticeDesc').html(result.nticeDesc.replace(/(\n|\r\n)/g, '<br>'));
		$('#ITP_FORM_NOTICE_INFO_POPUP_FILE_NO').val(result.fileNo); //파일번호 셋팅

		//파일업로드(뷰화면)
		$('#ITP_NOTICE_INFO_POPUP_VIEW_UPLOAD').empty();
		const fileArgs = {
			'fileNo': $('#ITP_FORM_NOTICE_INFO_POPUP_FILE_NO').val(),
			'viewCd': $('#ITP_FORM_NOTICE_INFO_POPUP_VIEW_CD').val()
		};
		itp_fn_set_file_upload('ITP_NOTICE_INFO_POPUP_VIEW_UPLOAD', 'notice', true, false, 'OPERATION02010', fileArgs);
		 	
	}, 'GET');
	
	$('#ITP_NOTICE_INFO_POPUP').one('shown.bs.modal', function(e) {		
		itp_fn_fire_window_resize();
	}).one('hidden.bs.modal', function(e) {
		$('#ITP_NOTICE_INFO_POPUP').remove();
	}).modal('show');
	
};

